function isNumeric(strString)
{
   var strValidChars = "0123456789.-";
   var strChar;
   var blnResult = true;
 
   //if (strString.length == 0) return false;
   for (i = 0; i < strString.length && blnResult == true; i++){
      strChar = strString.charAt(i);
      if (strValidChars.indexOf(strChar) == -1)
          blnResult = false;
   }
   return blnResult;
  
}

function isTime(value){
	array = tokenizeString(":",value);
	tamaño = array.length;
	if (tamaño < 3 & tamaño > 1){
		if (isNumeric(array[0]) && isNumeric(array[1])){
			var1 = String(array[0]);
			var2 = String(array[1]);
			if (var1.length == 2 && var2.length == 2 && array[0] < 24 && array[0] >= 0 && array[1] < 60 && array[1] >= 0)
				return true;
			else
				return false;
		}
		else
			return false;
	}else{
		return false;
	}
}

function checkRadio(name,elements){
	
	check = false;
	for (var i=0;i<elements.length;i++){
		
    	if (elements[i].name == name){
    		if (elements[i].checked) {
    			check = true;
   			}
  		}
	}
	return check;
}




function validate_form(vForm)
{
  var x = vForm.elements;
  var errors = "";
 
  for (var i=0;i<x.length;i++)
  {
  	// Validacion de Campos Nulos
  	//--------------------------------------------------------------------------
  	if (x[i].getAttribute('required') && !x[i].value){
	  errors += '- Debe ingresar el valor para el campo "' + x[i].getAttribute('label') + '".\n';
	}
	
	// Validacion de Campos Numericos
  	//--------------------------------------------------------------------------
	if (x[i].getAttribute('numeric') && !isNumeric(x[i].value)){
	  errors += '- El campo "' + x[i].getAttribute('label') + '" debe sólo contener valores númericos.\n';
	}
	
	if (x[i].getAttribute('time') && !isTime(x[i].value)){
	  errors += '- El formato de "' + x[i].getAttribute('label') + '" es "HH:MM". Con HH < 24 y MM < 60\n';
	}
	
	if (x[i].getAttribute('radio') && !checkRadio(x[i].name,x)){
	  errors += '- El campo "' + x[i].getAttribute('label') + '" debe tener asignado uno de los valores propuestos.\n';
	}	
  }
  
  if (errors.length){
  	errors = "Se Encotraron los siguientes errores al enviar la informacion: \n  " + errors;
	alert(errors);
    return false;
  }
    
  return true;
}
